> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove record

> Remove a single row. Body: { modelUuid, id }.



## OpenAPI

````yaml https://api.getcargo.io/openapi.json delete /storage/records/remove
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /storage/records/remove:
    delete:
      tags:
        - Storage - Records
      summary: Remove record
      description: 'Remove a single row. Body: { modelUuid, id }.'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                modelUuid:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                  title: Model UUID
                  description: Target model.
                id:
                  type: string
                  minLength: 1
                  title: Record ID
                  description: >-
                    Record identifier; set on the payload under the model id
                    column slug.
              required:
                - modelUuid
                - id
              additionalProperties: false
              title: Remove record body
              description: 'Shape: { modelUuid, id }.'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      reason:
                        type: string
                        title: Reason
                        description: Failure reason from record.remove.
                    required:
                      - reason
                    additionalProperties: false
                  - type: object
                    properties:
                      errorMessage:
                        type: string
                        title: Error message
                        description: Validation or unexpected error message.
                    required:
                      - errorMessage
                    additionalProperties: false
                title: Remove record response
                description: Error response body schema (success is 204 with no body).
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````